Bug 8515 - broken due to LS_COLORS environment variable
: broken due to LS_COLORS environment variable
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tcsh)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-18 02:08 by
Modified: 2007-01-15 14:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-18 02:08:25
tcsh не работает, если при ее запуске установлена переменная окружения
LS_COLORS
со значением, установленным через eval `dircolors /etc/DIR_COLORS`, как это
делается в скриптах /etc/profile.d/color_ls.*
Steps to Reproduce:
1. Запустить csh из-под bash (login shell или дочерней, без модификаций
окружения).
2. unset LS_COLORS
3. Снова запустить csh.
Actual Results:  
На шаге 1. csh вываливается с ошибкой:
Unknown colorls variable `su'.
На шаге 3. csh успешно запускается.

Expected Results:  
csh должна запускаться вне зависимости от значения LS_COLORS.
------- Comment #1 From 2005-11-21 20:47:00 -------
Подтверждается.

Этот баг также занесен в дебиановскую BTS:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=339034
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=339406

------- Comment #2 From 2006-01-08 02:42:44 -------
В нынешнем виде csh просто нерабочий.

В Owl просто выключили ls-F:
http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/tcsh/

В Debian статус уже изменили на fixed.
------- Comment #3 From 2006-03-05 20:59:03 -------
Это кто-то чинит или мне попробовать?
------- Comment #4 From 2006-03-05 21:04:27 -------
Чего тут пробовать, исправления давно готовы, только прикладывай.
------- Comment #5 From 2006-03-05 22:03:46 -------
А, так оно fixed in 6.14.00-alt2:

* Tue Nov 22 2005 Victor Forsyuk <force@altlinux.ru> 6.14.00-alt2
- Fix #8515
- Split big html docs into separate package.
- Fix NLS messages (adding ".mo" suffix was not right).
- Add patches from Fedora package.